cURL
curl --request POST \
--url https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/networking/allowlist \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--data '{"cidr_ip":"192.168.1.1","cidr_mask":32,"ui":true,"sql":true,"name":"Example"}'{
"cidr_ip": "192.168.1.1",
"cidr_mask": 32,
"ui": true,
"sql": true,
"name": "Example"
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Add a new CIDR address to the IP allowlist.
POST
/
api
/
v1
/
clusters
/
{cluster_id}
/
networking
/
allowlist
cURL
curl --request POST \
--url https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/networking/allowlist \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--data '{"cidr_ip":"192.168.1.1","cidr_mask":32,"ui":true,"sql":true,"name":"Example"}'{
"cidr_ip": "192.168.1.1",
"cidr_mask": 32,
"ui": true,
"sql": true,
"name": "Example"
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json

